Error
A valid request URL is required to generate request examples{
"object_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"submission_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}files
Upload file with metadata
Upload a file using multipart/form-data with metadata. Returns an object_id for the uploaded file and submission_id for the metadata submission.
Example:
curl -k -u n:n -F "file=@example.txt" -F 'metadata={"agent_id":"agent123","project":"proj1","timestamp":"2024-01-29T12:00:00Z","expiration":"2024-02-29T12:00:00Z","path":"/tmp/example.txt"}' https://nemesis:7443/api/files
POST
/
files
Error
A valid request URL is required to generate request examples{
"object_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"submission_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Body
multipart/form-data